package com.tillekesoft.pinyin;
import anywheresoftware.b4a.BA;

@BA.Version(1.30f)
@BA.Author(value = "moster67/Mikael Osterhed")
@BA.ShortName("Pinyin")
@BA.DependsOn(values = { "pinyin4j-2.5.1"})
public class PinyinWrapper {

    public static final int LOWERCASE = 1;
    public static final int UPPERCASE = 2;
    public static final int WITHOUT_TONE = 3;
    public static final int WITH_TONE_MARK = 4;
    public static final int WITH_TONE_NUMBER = 5;
    public static final int WITH_U_UNICODE = 6;
    public static final int WITH_U_AND_COLON = 7;
    public static final int WITH_V = 8;
    public static final int DO_NOT_USE_VCHARTYPE = 9;

//    private static final String TAG = "B4A";

    /**
    * Deprecated. Included only for compatibility reasons for previous versions of this wrapper.
    * Please use the method ConvertToPinyin() instead.
    */
    public  static String converterToFirstSpell(String chines){
        String res1 = com.tillekesoft.pinyin.Pinyin4jUtil.converterToFirstSpell(chines);
        return res1;
    }

    /**
     * Deprecated. Included only for compatibility reasons for previous versions of this wrapper.
     * Please use the method ConvertToPinyin() instead.
     */
    public static String converterToSpell(String chines){
        String res2 = com.tillekesoft.pinyin.Pinyin4jUtil.converterToSpell(chines);
        return res2;
    }

    /**
     * Deprecated. Included only for compatibility reasons for previous versions of this wrapper.
     * Please use the method ConvertToPinyin() instead.
     */
    public static String HanZiToPinYinWIthToneMark(char hanzi){
        String res3 = com.tillekesoft.pinyin.Pinyin4jUtil.HanZiToPinYinWIthToneMark(hanzi);
        return res3;
    }

    /**
     * ConvertToPinyin() requires four parameters.
     * 1) chinese hologram (word) to convert (String)
     * 2) caseType to apply. Can be LOWERCASE or UPPERCASE
     * 3) toneType to apply. Can be WITHOUT_TONE, WITH_TONE_MARK or WITH_TONE_NUMBER
     * 4) vCharType to apply. Can be WITH_U_UNICODE, WITH_U_AND_COLON, WITH_V or DO_NOT_USE_VCHARTYPE
     * Note: combinations of WITH_TONE_MARK and WITH_U_AND_COLON and WITH_V do not work.
     * This is intentional and will produce a blank output. 
     * Example usage:
     * Private PinyinObject As Pinyin
     * Dim str2 As String = PinyinObject.convertToPinyin("壮丽",PinyinObject.LOWERCASE,PinyinObject.WITH_TONE_MARK, PinyinObject.WITH_U_UNICODE)
     */
    public static String ConvertToPinyin(String chinese, int caseType, int toneType, int vCharType){
//        Log.d(TAG, "in wrapper values of parameters are " + caseType + " " + toneType + " " + vCharType);
        String res4 = com.tillekesoft.pinyin.Pinyin4jUtil.converterToSpell2(chinese, caseType, toneType, vCharType);
        return res4;
    }

} //end of class
